Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`, `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode`
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger`
    `static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder` |

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,​Type extends Object>`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode>` | `PARSER` |
    `static int` | `TRIGGER_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getDefaultInstance()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger` | `getTrigger​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
    `int` | `getTriggerCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
    `List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger>` | `getTriggerList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder` | `getTriggerOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder>` | `getTriggerOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `newBuilder()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode prototype)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `newBuilderForType()` |
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessage.BuilderParent parent)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseDelimitedFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(byte[] data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder` | `toBuilder()` |
    `protected Object` | `writeReplace()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode> PARSER

    - #### TRIGGER_FIELD_NUMBER

          public static final int TRIGGER_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getTriggerList

          public List<JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger> getTriggerList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
      Specified by:
        `getTriggerList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

    - #### getTriggerOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder> getTriggerOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
      Specified by:
        `getTriggerOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

    - #### getTriggerCount

          public int getTriggerCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
      Specified by:
        `getTriggerCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

    - #### getTrigger

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger getTrigger​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
      Specified by:
        `getTrigger` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

    - #### getTriggerOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder getTriggerOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger trigger = 1;`
      Specified by:
        `getTriggerOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(com.google.protobuf.ByteString data)
                                                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(com.google.protobuf.ByteString data,
                                                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(byte[] data)
                                                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(byte[] data,
                                                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(InputStream input)
                                                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(InputStream input,
                                                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                     throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseDelimitedFrom​(InputStream input)
                                                                                              throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseDelimitedFrom​(InputStream input,
                                                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                              throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                     throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.Builder newBuilderForType​(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`